Bug 840888 - [RHEVM] [backend] [Host Networking] DC/CL 3.0 cannot switch RHEVM network to another interface
[RHEVM] [backend] [Host Networking] DC/CL 3.0 cannot switch RHEVM network to ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Moti Asayag
Martin Pavlik
network
: Regression, Reopened, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 09:59 EDT by Martin Pavlik
Modified: 2016-02-10 14:52 EST (History)
10 users (show)

See Also:
Fixed In Version: si14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849971 (view as bug list)
Environment:
Last Closed: 2012-07-18 02:43:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (210.59 KB, image/png)
2012-07-17 09:59 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-07-17 09:59:12 EDT
Created attachment 598644 [details]
screenshot 1

Description of problem:
In  DC/CL 3.0 it is not possible to switch rhevm network from one host interface to another. Following error appears:

Error:

localhost.localdomain:

    Previous network name is required.


Version-Release number of selected component (if applicable):
oVirt Engine Version: '3.1.0-6.el6ev' 

How reproducible:
always

Steps to Reproduce:
1. add host more than one NIC into 3.0 cluster
2. Hosts -> your host -> Network Interfaces -> rhevm interface -> Edit Management Network
3. Switch Interface: to different NIC click OK
  
Actual results:
Error message appears

Expected results:
Network should be switched

Additional info:

engine.log
2012-07-17 15:43:22,503 WARN  [org.ovirt.engine.core.bll.UpdateNetworkToVdsInterfaceCommand] (ajp-/0.0.0.0:8009-10) [241808ff] CanDoAction of action UpdateNetworkToVdsInterface failed. Reasons:NETWROK_OLD_NETWORK_NOT_SPECIFIED
Comment 1 Martin Pavlik 2012-07-17 10:28:04 EDT
This issue also appears when trying to bond rhevm interface with another.
Comment 6 Martin Pavlik 2012-07-26 10:27:45 EDT
Problem appears when trying to bond any two interfaces
Comment 7 Martin Pavlik 2012-07-26 10:53:59 EDT
In addition to comment 6, problem appears when trying to bond any 2 interface and one of them has already connected network.
Comment 8 Martin Pavlik 2012-07-26 10:54:14 EDT
In addition to comment 6, problem appears when trying to bond any 2 interface and one of them has already connected network.
Comment 11 Alona Kaplan 2012-07-30 10:49:54 EDT
The backend command checks if the network name on the nic (we want to switch rhevm to) is not null (or empty).
As the network name is null the canDoAction fails.
This is a wrong check cause the network name of the nic will always be null (or empty). If there was a network on the nic we won't be able to move the rhevm network to it.
Comment 12 Moti Asayag 2012-08-07 06:42:49 EDT
A suggested patch:

http://gerrit.ovirt.org/#/c/6971

Note You need to log in before you can comment on or make changes to this bug.